polyline problem!!!

i have a file consist of XYZ point list
example..
38 132.1212 121.2323 11.121
234.2323 434.2323 11.121
..
..
..
300 132.1212 121.2323 11.121
234.2323 434.2323 11.121
..
..

total count is 467343.

this file appear contour.
i will draw a polyline using OCC.
so i make compound base on edge
like this!
-----------------------------------------------------
BRep_Builder aBuilder;
TopoDS_Compound aCompound;
aBuilder.MakeCompound(aCompound);

for(int i = 0 ; i {
TopoDS_Edge WhiteEdge = BRepBuilderAPI_MakeEdge (prePt,curPt).Edge();
aBuilder.Add(aCompound,WhiteEdge);
}
Handle(AIS_Shape) green = new AIS_Shape(aCompound);

-----------------------------------------------------

this code is very slow..

1. have OCC polyline Object ?

2. How can i overcom this problem?

With best regards.

cupper's picture

reply myself.

i use own AIS_InteractObject.

Handle(Graphic3d_Group) TheGroup = Prs3d_Root::CurrentGroup(aPresentation);
Graphic3d_Array1OfVertexN Tpts4TMeshN(0, 5);
TheGroup->Polyline(Tpts4TMesh);

is it right ?

plz give me a more good direction!!

Patrik Mueller's picture

Hi,

have you tried building a TopoDS_Wire instead of a TopoDS_Compound?

Greets,

Patrik

cupper's picture

thanks!!

i use my owndisplay object..

that give me very good result!